Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.xfire.plexus.config
Class AnnotationServiceConfigurator

    java.lang.Object
      org.codehaus.plexus.logging.AbstractLogEnabled
          org.codehaus.xfire.plexus.PlexusXFireComponent
              org.codehaus.xfire.plexus.config.ObjectServiceConfigurator
                  org.codehaus.xfire.plexus.config.AnnotationServiceConfigurator

All Implemented Interfaces:
  org.codehaus.plexus.logging.LogEnabled, org.codehaus.plexus.personality.plexus.lifecycle.phase.Serviceable, Configurator

    public class AnnotationServiceConfigurator

extends ObjectServiceConfigurator

Field Summary

Fields inherited from interface org.codehaus.xfire.plexus.config.Configurator
`ROLE`

Constructor Summary
`AnnotationServiceConfigurator()`

Method Summary
`ObjectServiceFactory` | `getServiceFactory(org.codehaus.plexus.configuration.PlexusConfiguration config)`

Methods inherited from class org.codehaus.xfire.plexus.config.ObjectServiceConfigurator
`createService, getBindingProvider, getHandler, getServiceFactory, getServiceRegistry, getTransportManager, getTypeMappingRegistry, getXFire, loadClass`

Methods inherited from class org.codehaus.xfire.plexus.PlexusXFireComponent
`getServiceLocator, service`

Methods inherited from class org.codehaus.plexus.logging.AbstractLogEnabled
`enableLogging, getLogger, setupLogger, setupLogger, setupLogger`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AnnotationServiceConfigurator

    public AnnotationServiceConfigurator()

Method Detail

### getServiceFactory

    public ObjectServiceFactory getServiceFactory(org.codehaus.plexus.configuration.PlexusConfiguration config)
                                           throws java.lang.Exception

  Overrides:
    `getServiceFactory` in class `ObjectServiceConfigurator`
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Codehaus. All Rights Reserved.